Functions
Configuration functions
Peripheral Driver » LL Driver » EFUSE » Functions

## Functions
__STATIC_INLINE void | ll_efuse_set_tpro (efuse_regs_t *EFUSEx, uint32_t time)
| Set eFuse program time. More...
__STATIC_INLINE uint32_t | ll_efuse_get_tpro (efuse_regs_t *EFUSEx)
| Get eFuse program time. More...
__STATIC_INLINE void | ll_efuse_set_interval (efuse_regs_t *EFUSEx, uint32_t interval)
| Set the interval number of clk cycles between two bit fuse. More...
__STATIC_INLINE uint32_t | ll_efuse_get_interval (efuse_regs_t *EFUSEx)
| Get the interval number of clk cycles between two bit fuse. More...
__STATIC_INLINE void | ll_efuse_enable_pgenb (efuse_regs_t *EFUSEx)
| Enable eFuse PGENB sigal. More...
__STATIC_INLINE void | ll_efuse_disable_pgenb (efuse_regs_t *EFUSEx)
| Disable eFuse PGENB sigal. More...
__STATIC_INLINE uint32_t | ll_efuse_is_enabled_pgenb (efuse_regs_t *EFUSEx)
| Check if eFuse PGENB sigal is enabled. More...
__STATIC_INLINE void | ll_efuse_set_operation (efuse_regs_t *EFUSEx, uint32_t mode)
| Set eFuse operation mode. More...
__STATIC_INLINE uint32_t | ll_efuse_is_active_flag (efuse_regs_t *EFUSEx, uint32_t flag)
| Check active flag. More...
__STATIC_INLINE void | ll_efuse_enable_power (efuse_regs_t *EFUSEx)
| eFuse v1.1 power on. More...
__STATIC_INLINE void | ll_efuse_disable_power (efuse_regs_t *EFUSEx)
| eFuse v1.1 power off. More...
__STATIC_INLINE void | ll_efuse_enable_vddq (void)
| eFuse vddq enable. Vddq must be enble when write efuse, and disable when write done. More...
__STATIC_INLINE void | ll_efuse_disable_vddq (void)
| eFuse vddq disable. Vddq must be enble when write efuse, and disable when write done. More...
__STATIC_INLINE uint32_t | ll_efuse_is_enable_vddq (void)
| Get eFuse vddq state. Vddq must be enble when write efuse, and disable when write done. More...
__STATIC_INLINE void | ll_efuse_set_controller_power_timing (efuse_regs_t *EFUSEx, uint16_t vddq_0, uint16_t vddq_1, uint16_t vddq_2)
| Set Efulse power controller timing pararmeter. More...
__STATIC_INLINE void | ll_efuse_enable_controller_power_en (efuse_regs_t *EFUSEx)
| EFUSE HW Power control enable. More...
__STATIC_INLINE void | ll_efuse_disable_controller_power_en (efuse_regs_t *EFUSEx)
| EFUSE HW Power control enable. More...
__STATIC_INLINE void | ll_efuse_enable_controller_power_begin (efuse_regs_t *EFUSEx)
| EFUSE HW Power control begin. More...
__STATIC_INLINE void | ll_efuse_enable_controller_power_stop (efuse_regs_t *EFUSEx)
| EFUSE HW Power control stop. More...
__STATIC_INLINE void | ll_efuse_disable_controller_power (efuse_regs_t *EFUSEx)
| EFUSE HW Power control disable. More...
__STATIC_INLINE uint32_t | ll_efuse_is_controller_power_flag (efuse_regs_t *EFUSEx, uint32_t flag)
| Check power controller active flag. More...

## Detailed Description

## Function Documentation

## ◆ ll_efuse_disable_controller_power()

__STATIC_INLINE void ll_efuse_disable_controller_power | ( | efuse_regs_t * | EFUSEx | ) |

EFUSE HW Power control disable.

Register |BitsName --------- -|-------- PWR_CTRL0 | CTRL_ENABLE PWR_CTRL0 | SEQR_BEGIN PWR_CTRL0 | SEQR_STOP

Return values

  None |

Definition at line 445 of file gr533x_ll_efuse.h.

## ◆ ll_efuse_disable_controller_power_en()

__STATIC_INLINE void ll_efuse_disable_controller_power_en | ( | efuse_regs_t * | EFUSEx | ) |

EFUSE HW Power control enable.

Register |BitsName -----------|-------- PWR_CTRL0 | CTRL_ENABLE

Return values

  None |

Definition at line 400 of file gr533x_ll_efuse.h.

## ◆ ll_efuse_disable_pgenb()

__STATIC_INLINE void ll_efuse_disable_pgenb | ( | efuse_regs_t * | EFUSEx | ) |

Disable eFuse PGENB sigal.

Register|BitsName --------|-------- PGENB | PGENB_SIG

Parameters

  EFUSEx | eFuse instance

Return values

  None |

Definition at line 231 of file gr533x_ll_efuse.h.

## ◆ ll_efuse_disable_power()

__STATIC_INLINE void ll_efuse_disable_power | ( | efuse_regs_t * | EFUSEx | ) |

eFuse v1.1 power off.

Register|BitsName --------|-------- TPGM | CRC_CHECK_LEN

Return values

  None |

Definition at line 312 of file gr533x_ll_efuse.h.

## ◆ ll_efuse_disable_vddq()

__STATIC_INLINE void ll_efuse_disable_vddq | ( | void |  | ) |

eFuse vddq disable. Vddq must be enble when write efuse, and disable when write done.

Register|BitsName --------|-------- RF_REG_2| EFUSE_VDDQ_EN

Return values

  None |

Definition at line 341 of file gr533x_ll_efuse.h.

## ◆ ll_efuse_enable_controller_power_begin()

__STATIC_INLINE void ll_efuse_enable_controller_power_begin | ( | efuse_regs_t * | EFUSEx | ) |

EFUSE HW Power control begin.

Register |BitsName -----------|-------- PWR_CTRL0 | SEQR_BEGIN

Return values

  None |

Definition at line 414 of file gr533x_ll_efuse.h.

## ◆ ll_efuse_enable_controller_power_en()

__STATIC_INLINE void ll_efuse_enable_controller_power_en | ( | efuse_regs_t * | EFUSEx | ) |

EFUSE HW Power control enable.

Register |BitsName -----------|-------- PWR_CTRL0 | CTRL_ENABLE

Return values

  None |

Definition at line 386 of file gr533x_ll_efuse.h.

## ◆ ll_efuse_enable_controller_power_stop()

__STATIC_INLINE void ll_efuse_enable_controller_power_stop | ( | efuse_regs_t * | EFUSEx | ) |

EFUSE HW Power control stop.

Register |BitsName -----------|-------- PWR_CTRL0 | CTRL_ENABLE PWR_CTRL0 | SEQR_STOP

Return values

  None |

Definition at line 429 of file gr533x_ll_efuse.h.

## ◆ ll_efuse_enable_pgenb()

__STATIC_INLINE void ll_efuse_enable_pgenb | ( | efuse_regs_t * | EFUSEx | ) |

Enable eFuse PGENB sigal.

Register|BitsName --------|-------- PGENB | PGENB_SIG

Parameters

  EFUSEx | eFuse instance

Return values

  None |

Definition at line 216 of file gr533x_ll_efuse.h.

## ◆ ll_efuse_enable_power()

__STATIC_INLINE void ll_efuse_enable_power | ( | efuse_regs_t * | EFUSEx | ) |

eFuse v1.1 power on.

Register|BitsName --------|-------- TPGM | CRC_CHECK_LEN

Return values

  None |

Definition at line 298 of file gr533x_ll_efuse.h.

## ◆ ll_efuse_enable_vddq()

__STATIC_INLINE void ll_efuse_enable_vddq | ( | void |  | ) |

eFuse vddq enable. Vddq must be enble when write efuse, and disable when write done.

Register|BitsName --------|-------- RF_REG_2| EFUSE_VDDQ_EN

Return values

  None |

Definition at line 327 of file gr533x_ll_efuse.h.

## ◆ ll_efuse_get_interval()

__STATIC_INLINE uint32_t ll_efuse_get_interval | ( | efuse_regs_t * | EFUSEx | ) |

Get the interval number of clk cycles between two bit fuse.

Register|BitsName --------|-------- TPGM | WRITE_INTERVAL

Parameters

  EFUSEx | eFuse instance

Return values

  Returned | value can be one of the following values: 0 ~ 0xFF

Definition at line 201 of file gr533x_ll_efuse.h.

## ◆ ll_efuse_get_tpro()

__STATIC_INLINE uint32_t ll_efuse_get_tpro | ( | efuse_regs_t * | EFUSEx | ) |

Get eFuse program time.

Register|BitsName --------|-------- TPGM | TIME

Parameters

  EFUSEx | eFuse instance

Return values

  Returned | value can be one of the following values: 0 ~ 0xFFF

Definition at line 170 of file gr533x_ll_efuse.h.

## ◆ ll_efuse_is_active_flag()

__STATIC_INLINE uint32_t ll_efuse_is_active_flag | ( | efuse_regs_t * | EFUSEx,
|  | uint32_t | flag
| ) |  |

Check active flag.

Register|BitsName --------|-------- STAT | INIT_DONE STAT | INIT_SUCCESS STAT | WRITE_DONE

Parameters

  EFUSEx | eFuse instance
  flag | This parameter can be one of the following values: LL_EFUSE_INIT_CHECK_DONE LL_EFUSE_INIT_CHECK_SUCCESS LL_EFUSE_WRITE_DONE

Return values

  State | of bit (1 or 0).

Definition at line 284 of file gr533x_ll_efuse.h.

## ◆ ll_efuse_is_controller_power_flag()

__STATIC_INLINE uint32_t ll_efuse_is_controller_power_flag | ( | efuse_regs_t * | EFUSEx,
|  | uint32_t | flag
| ) |  |

Check power controller active flag.

Register|BitsName --------|-------- PWR_CTRL1 | EN_DONE PWR_CTRL1 | DIS_DONE

Parameters

  EFUSEx | eFuse instance
  flag | This parameter can be one of the following values: LL_EFUSE_PWR_CTL_EN_DONE LL_EFUSE_PWR_CTL_DIS_DONE

Return values

  State | of bit (1 or 0).

Definition at line 464 of file gr533x_ll_efuse.h.

## ◆ ll_efuse_is_enable_vddq()

__STATIC_INLINE uint32_t ll_efuse_is_enable_vddq | ( | void |  | ) |

Get eFuse vddq state. Vddq must be enble when write efuse, and disable when write done.

Register|BitsName --------|-------- RF_REG_2| EFUSE_VDDQ_EN

Return values

  None |

Definition at line 355 of file gr533x_ll_efuse.h.

## ◆ ll_efuse_is_enabled_pgenb()

__STATIC_INLINE uint32_t ll_efuse_is_enabled_pgenb | ( | efuse_regs_t * | EFUSEx | ) |

Check if eFuse PGENB sigal is enabled.

Register|BitsName --------|-------- PGENB | PGENB_SIG

Parameters

  EFUSEx | eFuse instance

Return values

  State | of bit (1 or 0).

Definition at line 246 of file gr533x_ll_efuse.h.

## ◆ ll_efuse_set_controller_power_timing()

__STATIC_INLINE void ll_efuse_set_controller_power_timing | ( | efuse_regs_t * | EFUSEx,
|  | uint16_t | vddq_0,
|  | uint16_t | vddq_1,
|  | uint16_t | vddq_2
| ) |  |

Set Efulse power controller timing pararmeter.

Register |BitsName ----------|-------- PWR_DELTA| PWR_DELTA_0 PWR_DELTA| PWR_DELTA_1 PWR_DELTA| PWR_DELTA_2

Return values

  None |

Definition at line 371 of file gr533x_ll_efuse.h.

## ◆ ll_efuse_set_interval()

__STATIC_INLINE void ll_efuse_set_interval | ( | efuse_regs_t * | EFUSEx,
|  | uint32_t | interval
| ) |  |

Set the interval number of clk cycles between two bit fuse.

Register|BitsName --------|-------- TPGM | WRITE_INTERVAL

Parameters

  EFUSEx | eFuse instance
  interval | This parameter can be one of the following values: 0 ~ 0xFF

Return values

  None |

Definition at line 186 of file gr533x_ll_efuse.h.

## ◆ ll_efuse_set_operation()

__STATIC_INLINE void ll_efuse_set_operation | ( | efuse_regs_t * | EFUSEx,
|  | uint32_t | mode
| ) |  |

Set eFuse operation mode.

Register|BitsName --------|-------- OPERATION | INIT_CHECK

Parameters

  EFUSEx | eFuse instance
  mode | This parameter can be one of the following values: LL_EFUSE_INIT_CHECK

Return values

  None |

Definition at line 263 of file gr533x_ll_efuse.h.

## ◆ ll_efuse_set_tpro()

__STATIC_INLINE void ll_efuse_set_tpro | ( | efuse_regs_t * | EFUSEx,
|  | uint32_t | time
| ) |  |

Set eFuse program time.

Register|BitsName --------|-------- TPGM | TIME

Parameters

  EFUSEx | eFuse instance
  time | This parameter can be one of the following values: 0 ~ 0xFFF

Return values

  None |

Definition at line 155 of file gr533x_ll_efuse.h.